Index: vorbis-tools/libao/README
===================================================================
RCS file: /usr/local/cvsroot/vorbis/vorbis-tools/libao/README,v
retrieving revision 1.1
diff -u -r1.1 README
--- vorbis-tools/libao/README	2000/07/22 01:57:05	1.1
+++ vorbis-tools/libao/README	2000/08/17 02:01:19
@@ -86,6 +86,28 @@
 
 Finally, you need to modify your program to use the libao API.
 
+CONFIGURE OPTIONS
+
+The configure script used to build libao accepts several options to
+control which drivers are included in the library.  The script will
+compile all of the drivers supported by the system if given no
+options.  Usually this is sufficient, however sometimes the defaults
+need to be overridden (often the default output driver).
+
+--enable-DRIVER
+--disable-DRIVER
+
+Replace DRIVER with oss, irix, solaris, esd, or alsa.  These options
+specifically add or remove a driver from the final library.  Since all
+of the driver which can be built are built by default, usually only
+the --disable-DRIVER option is used.
+
+--enable-default-output=DRIVER
+
+Replace driver with oss, irix, solaris, esd, alsa, null, or wav.  This
+option sets the default output driver returned by the library when
+ao_get_driver_id(NULL) is called.
+
 API
 
 The libao API makes a distinction between drivers and devices.  A
Index: vorbis-tools/libao/configure
===================================================================
RCS file: /usr/local/cvsroot/vorbis/vorbis-tools/libao/configure,v
retrieving revision 1.3
diff -u -r1.3 configure
--- vorbis-tools/libao/configure	2000/07/29 17:40:51	1.3
+++ vorbis-tools/libao/configure	2000/08/17 02:01:20
@@ -11,6 +11,18 @@
 ac_help=
 ac_default_prefix=/usr/local
 # Any additions from configure.in:
+ac_help="$ac_help
+"
+ac_help="$ac_help
+"
+ac_help="$ac_help
+"
+ac_help="$ac_help
+"
+ac_help="$ac_help
+"
+ac_help="$ac_help
+"
 
 # Initialize some variables set by options.
 # The variables have the same names as the options, with
@@ -548,7 +560,7 @@
 fi
 
 echo $ac_n "checking host system type""... $ac_c" 1>&6
-echo "configure:552: checking host system type" >&5
+echo "configure:564: checking host system type" >&5
 
 host_alias=$host
 case "$host_alias" in
@@ -575,7 +587,7 @@
                         CC=cc
                 fi
                 echo $ac_n "checking for ALwritesamps in -laudio""... $ac_c" 1>&6
-echo "configure:579: checking for ALwritesamps in -laudio" >&5
+echo "configure:591: checking for ALwritesamps in -laudio" >&5
 ac_lib_var=`echo audio'_'ALwritesamps | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -583,7 +595,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-laudio  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 587 "configure"
+#line 599 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -594,7 +606,7 @@
 ALwritesamps()
 ; return 0; }
 EOF
-if { (eval echo configure:598: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:610: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -634,7 +646,7 @@
         # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:638: checking for $ac_word" >&5
+echo "configure:650: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -664,7 +676,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:668: checking for $ac_word" >&5
+echo "configure:680: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -715,7 +727,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:719: checking for $ac_word" >&5
+echo "configure:731: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -747,7 +759,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:751: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:763: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -758,12 +770,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 762 "configure"
+#line 774 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:767: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:779: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -789,12 +801,12 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:793: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:805: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:798: checking whether we are using GNU C" >&5
+echo "configure:810: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -803,7 +815,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:807: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:819: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -822,7 +834,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:826: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:838: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -855,7 +867,7 @@
 
 fi
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:859: checking how to run the C preprocessor" >&5
+echo "configure:871: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -870,13 +882,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 874 "configure"
+#line 886 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:880: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:892: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -887,13 +899,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 891 "configure"
+#line 903 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:897: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:909: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -904,13 +916,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 908 "configure"
+#line 920 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:914: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:926: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -937,7 +949,7 @@
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:941: checking for $ac_word" >&5
+echo "configure:953: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -967,7 +979,7 @@
 # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:971: checking for $ac_word" >&5
+echo "configure:983: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -996,7 +1008,7 @@
 # Extract the first word of "install", so it can be a program name with args.
 set dummy install; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1000: checking for $ac_word" >&5
+echo "configure:1012: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_INSTALL'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1057,12 +1069,12 @@
 fi
 
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:1061: checking for ANSI C header files" >&5
+echo "configure:1073: checking for ANSI C header files" >&5
 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1066 "configure"
+#line 1078 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -1070,7 +1082,7 @@
 #include <float.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1074: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1086: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -1087,7 +1099,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 1091 "configure"
+#line 1103 "configure"
 #include "confdefs.h"
 #include <string.h>
 EOF
@@ -1105,7 +1117,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 1109 "configure"
+#line 1121 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
@@ -1126,7 +1138,7 @@
   :
 else
   cat > conftest.$ac_ext <<EOF
-#line 1130 "configure"
+#line 1142 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -1137,7 +1149,7 @@
 exit (0); }
 
 EOF
-if { (eval echo configure:1141: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1153: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -1162,7 +1174,7 @@
 
 
 echo $ac_n "checking size of short""... $ac_c" 1>&6
-echo "configure:1166: checking size of short" >&5
+echo "configure:1178: checking size of short" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_short'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1170,7 +1182,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 1174 "configure"
+#line 1186 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 main()
@@ -1181,7 +1193,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:1185: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1197: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_short=`cat conftestval`
 else
@@ -1201,7 +1213,7 @@
 
 
 echo $ac_n "checking size of int""... $ac_c" 1>&6
-echo "configure:1205: checking size of int" >&5
+echo "configure:1217: checking size of int" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_int'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1209,7 +1221,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 1213 "configure"
+#line 1225 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 main()
@@ -1220,7 +1232,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:1224: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1236: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_int=`cat conftestval`
 else
@@ -1240,7 +1252,7 @@
 
 
 echo $ac_n "checking size of long""... $ac_c" 1>&6
-echo "configure:1244: checking size of long" >&5
+echo "configure:1256: checking size of long" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_long'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1248,7 +1260,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 1252 "configure"
+#line 1264 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 main()
@@ -1259,7 +1271,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:1263: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1275: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_long=`cat conftestval`
 else
@@ -1298,24 +1310,72 @@
 fi
 
 
+# Check whether --enable-oss or --disable-oss was given.
+if test "${enable_oss+set}" = set; then
+  enableval="$enable_oss"
+  :
+else
+  enable_oss=yes
+fi
+
+# Check whether --enable-irix or --disable-irix was given.
+if test "${enable_irix+set}" = set; then
+  enableval="$enable_irix"
+  :
+else
+  enable_irix=yes
+fi
+
+# Check whether --enable-solaris or --disable-solaris was given.
+if test "${enable_solaris+set}" = set; then
+  enableval="$enable_solaris"
+  :
+else
+  enable_solaris=yes
+fi
+
+# Check whether --enable-alsa or --disable-alsa was given.
+if test "${enable_alsa+set}" = set; then
+  enableval="$enable_alsa"
+  :
+else
+  enable_alsa=yes
+fi
+
+# Check whether --enable-esd or --disable-esd was given.
+if test "${enable_esd+set}" = set; then
+  enableval="$enable_esd"
+  :
+else
+  enable_esd=yes
+fi
+
+# Check whether --enable-default-output or --disable-default-output was given.
+if test "${enable_default_output+set}" = set; then
+  enableval="$enable_default_output"
+  :
+else
+  enable_default_output=def
+fi
+
+
+has_oss=no
+has_irix=no
+has_solaris=no
+has_esd=no
+has_alsa=no
+
 case $host in
-        *-*-linux*|*-openbsd*|*-freebsd*)
-                    LIBAO_OBJS="$LIBAO_OBJS ao_oss.o"
-                    LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_OSS -DAO_DEFAULT=AO_OSS";;
+        *-*-linux*|*-openbsd*|*-freebsd*|*-netbsd*)
+		has_oss=yes;;
         *-irix*)
-                    LIBAO_OBJS="$LIBAO_OBJS ao_irix.o"
-                    LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_IRIX -DAO_DEFAULT=AO_IRIX";;
-
+		has_irix=yes;;
         *-solaris*)
-                    LIBAO_OBJS="$LIBAO_OBJS ao_solaris.o"
-                    LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_SOLARIS -DAO_DEFAULT=AO_SOLARIS";;
-
-        *) echo "configure: warning: Native sound driver not supported by libao for this operating system." 1>&2;;
+		has_solaris=yes;;
 esac
 
-
 echo $ac_n "checking for esd_play_stream in -lesd""... $ac_c" 1>&6
-echo "configure:1319: checking for esd_play_stream in -lesd" >&5
+echo "configure:1379: checking for esd_play_stream in -lesd" >&5
 ac_lib_var=`echo esd'_'esd_play_stream | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1323,7 +1383,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lesd  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1327 "configure"
+#line 1387 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1334,7 +1394,7 @@
 esd_play_stream()
 ; return 0; }
 EOF
-if { (eval echo configure:1338: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1398: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1349,16 +1409,13 @@
 fi
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
-  LIBAO_LIBS="$LIBAO_LIBS -lesd"
-                                   LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ESD"
-                                   LIBAO_OBJS="$LIBAO_OBJS ao_esd.o"
+  has_esd=yes
 else
   echo "$ac_t""no" 1>&6
 fi
 
-
 echo $ac_n "checking for snd_pcm_open in -lasound""... $ac_c" 1>&6
-echo "configure:1362: checking for snd_pcm_open in -lasound" >&5
+echo "configure:1419: checking for snd_pcm_open in -lasound" >&5
 ac_lib_var=`echo asound'_'snd_pcm_open | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1366,7 +1423,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lasound  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1370 "configure"
+#line 1427 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1377,7 +1434,7 @@
 snd_pcm_open()
 ; return 0; }
 EOF
-if { (eval echo configure:1381: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1438: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1392,13 +1449,96 @@
 fi
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
-  LIBAO_LIBS="$LIBAO_LIBS -lasound"
-                                   LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ALSA"
-                                   LIBAO_OBJS="$LIBAO_OBJS ao_alsa.o"
+  has_alsa=yes
 else
   echo "$ac_t""no" 1>&6
+has_alsa=no
+fi
+
+
+
+echo $ac_n "checking "whether to compile OSS driver"""... $ac_c" 1>&6
+echo "configure:1462: checking "whether to compile OSS driver"" >&5
+if test $enable_oss = "yes" && test $has_oss = "yes"; then
+	echo "$ac_t"""yes"" 1>&6
+	LIBAO_OBJS="$LIBAO_OBJS ao_oss.o"
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_OSS"
+	ao_default=oss
+else
+	echo "$ac_t"""no"" 1>&6
+fi
+
+echo $ac_n "checking "whether to compile IRIX driver"""... $ac_c" 1>&6
+echo "configure:1473: checking "whether to compile IRIX driver"" >&5
+if test $enable_irix = "yes" && test $has_irix = "yes"; then
+	echo "$ac_t"""yes"" 1>&6
+	LIBAO_OBJS="$LIBAO_OBJS ao_irix.o"
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_IRIX"
+	ao_default=irix
+else
+	echo "$ac_t"""no"" 1>&6
+fi
+
+echo $ac_n "checking "whether to compile Solaris driver"""... $ac_c" 1>&6
+echo "configure:1484: checking "whether to compile Solaris driver"" >&5
+if test $enable_solaris = "yes" && test $has_solaris = "yes"; then
+	LIBAO_OBJS="$LIBAO_OBJS ao_solaris.o"
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_SOLARIS"
+	ao_default=solaris
+else
+	echo "$ac_t"""no"" 1>&6
+fi
+
+echo $ac_n "checking "whether to compile ESD driver"""... $ac_c" 1>&6
+echo "configure:1494: checking "whether to compile ESD driver"" >&5
+if test $enable_esd = "yes" && test $has_esd = "yes"; then
+	echo "$ac_t"""yes"" 1>&6
+	LIBAO_LIBS="$LIBAO_LIBS -lesd"
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ESD"
+	LIBAO_OBJS="$LIBAO_OBJS ao_esd.o"
+else
+	echo "$ac_t"""no"" 1>&6
+fi
+
+echo $ac_n "checking "whether to compile ALSA driver"""... $ac_c" 1>&6
+echo "configure:1505: checking "whether to compile ALSA driver"" >&5
+if test $enable_alsa = "yes" && test $has_alsa = "yes"; then
+	echo "$ac_t"""yes"" 1>&6
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ALSA"
+	LIBAO_OBJS="$LIBAO_OBJS ao_alsa.o"
+	LIBAO_LIBS="$LIBAO_LIBS -lasound"
+else
+	echo "$ac_t"""no"" 1>&6
 fi
 
+
+if test $enable_default_output != "def"; then
+	ao_default=$enable_default_output
+fi
+
+case $ao_default in
+	null)
+		AO_DEFAULT_DEF=AO_NULL;;
+	oss)
+		AO_DEFAULT_DEF=AO_OSS;;
+	irix)
+		AO_DEFAULT_DEF=AO_IRIX;;
+	solaris)
+		AO_DEFAULT_DEF=AO_SOLARIS;;
+	esd)
+		AO_DEFAULT_DEF=AO_ESD;;
+	alsa)
+		AO_DEFAULT_DEF=AO_ALSA;;
+	wav)
+		AO_DEFAULT_DEF=AO_WAV;;
+	*)
+				ao_default=null
+		AO_DEFAULT_DEF=AO_NULL;;
+esac
+
+echo "$ac_t"""setting default output device... $ao_default"" 1>&6
+
+LIBAO_FLAGS="$LIBAO_FLAGS -DAO_DEFAULT=$AO_DEFAULT_DEF"
 
 
 
Index: vorbis-tools/libao/configure.in
===================================================================
RCS file: /usr/local/cvsroot/vorbis/vorbis-tools/libao/configure.in,v
retrieving revision 1.3
diff -u -r1.3 configure.in
--- vorbis-tools/libao/configure.in	2000/07/29 17:40:51	1.3
+++ vorbis-tools/libao/configure.in	2000/08/17 02:01:20
@@ -93,32 +93,114 @@
 
 dnl --- Figure out which ao_* files to compile ---
 
-dnl Operating System Specific Files
+AC_ARG_ENABLE(oss,,,enable_oss=yes)
+AC_ARG_ENABLE(irix,,,enable_irix=yes)
+AC_ARG_ENABLE(solaris,,,enable_solaris=yes)
+AC_ARG_ENABLE(alsa,,,enable_alsa=yes)
+AC_ARG_ENABLE(esd,,,enable_esd=yes)
+AC_ARG_ENABLE(default-output,,,enable_default_output=def)
+
+dnl Initialize default variable values
+has_oss=no
+has_irix=no
+has_solaris=no
+has_esd=no
+has_alsa=no
+
+dnl -- Detect possible output devices --
 case $host in
-        *-*-linux*|*-openbsd*|*-freebsd*)
-                    LIBAO_OBJS="$LIBAO_OBJS ao_oss.o"
-                    LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_OSS -DAO_DEFAULT=AO_OSS";;
+        *-*-linux*|*-openbsd*|*-freebsd*|*-netbsd*)
+		has_oss=yes;;
         *-irix*)
-                    LIBAO_OBJS="$LIBAO_OBJS ao_irix.o"
-                    LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_IRIX -DAO_DEFAULT=AO_IRIX";;
-
+		has_irix=yes;;
         *-solaris*)
-                    LIBAO_OBJS="$LIBAO_OBJS ao_solaris.o"
-                    LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_SOLARIS -DAO_DEFAULT=AO_SOLARIS";;
+		has_solaris=yes;;
+esac
+
+AC_CHECK_LIB(esd, esd_play_stream, has_esd=yes)
+AC_CHECK_LIB(asound, snd_pcm_open, has_alsa=yes, has_alsa=no)
+
+dnl -- Set appropriate variables for each driver --
+
+AC_MSG_CHECKING("whether to compile OSS driver")
+if test $enable_oss = "yes" && test $has_oss = "yes"; then
+	AC_MSG_RESULT("yes")
+	LIBAO_OBJS="$LIBAO_OBJS ao_oss.o"
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_OSS"
+	ao_default=oss
+else
+	AC_MSG_RESULT("no")
+fi
+
+AC_MSG_CHECKING("whether to compile IRIX driver")
+if test $enable_irix = "yes" && test $has_irix = "yes"; then
+	AC_MSG_RESULT("yes")
+	LIBAO_OBJS="$LIBAO_OBJS ao_irix.o"
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_IRIX"
+	ao_default=irix
+else
+	AC_MSG_RESULT("no")
+fi
+
+AC_MSG_CHECKING("whether to compile Solaris driver")
+if test $enable_solaris = "yes" && test $has_solaris = "yes"; then
+	LIBAO_OBJS="$LIBAO_OBJS ao_solaris.o"
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_SOLARIS"
+	ao_default=solaris
+else
+	AC_MSG_RESULT("no")
+fi
+
+AC_MSG_CHECKING("whether to compile ESD driver")
+if test $enable_esd = "yes" && test $has_esd = "yes"; then
+	AC_MSG_RESULT("yes")
+	LIBAO_LIBS="$LIBAO_LIBS -lesd"
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ESD"
+	LIBAO_OBJS="$LIBAO_OBJS ao_esd.o"
+else
+	AC_MSG_RESULT("no")
+fi
+
+AC_MSG_CHECKING("whether to compile ALSA driver")
+if test $enable_alsa = "yes" && test $has_alsa = "yes"; then
+	AC_MSG_RESULT("yes")
+	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ALSA"
+	LIBAO_OBJS="$LIBAO_OBJS ao_alsa.o"
+	LIBAO_LIBS="$LIBAO_LIBS -lasound"
+else
+	AC_MSG_RESULT("no")
+fi
+
+dnl -- Set the default device
+
+if test $enable_default_output != "def"; then
+	ao_default=$enable_default_output
+fi
 
-        *) AC_MSG_WARN(Native sound driver not supported by libao for this operating system.);;
+case $ao_default in
+	null)
+		AO_DEFAULT_DEF=AO_NULL;;
+	oss)
+		AO_DEFAULT_DEF=AO_OSS;;
+	irix)
+		AO_DEFAULT_DEF=AO_IRIX;;
+	solaris)
+		AO_DEFAULT_DEF=AO_SOLARIS;;
+	esd)
+		AO_DEFAULT_DEF=AO_ESD;;
+	alsa)
+		AO_DEFAULT_DEF=AO_ALSA;;
+	wav)
+		AO_DEFAULT_DEF=AO_WAV;;
+	*)
+		dnl Make the default output device AO_NULL
+		ao_default=null
+		AO_DEFAULT_DEF=AO_NULL;;
 esac
 
-dnl ESounD
+AC_MSG_RESULT("setting default output device... $ao_default")
 
-AC_CHECK_LIB(esd, esd_play_stream, LIBAO_LIBS="$LIBAO_LIBS -lesd"
-                                   LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ESD"
-                                   LIBAO_OBJS="$LIBAO_OBJS ao_esd.o")
-dnl ALSA
-
-AC_CHECK_LIB(asound, snd_pcm_open, LIBAO_LIBS="$LIBAO_LIBS -lasound"
-                                   LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ALSA"
-                                   LIBAO_OBJS="$LIBAO_OBJS ao_alsa.o")
+LIBAO_FLAGS="$LIBAO_FLAGS -DAO_DEFAULT=$AO_DEFAULT_DEF"
 
 AC_SUBST(SIZE16)
 AC_SUBST(SIZE32)
